Skip to navigation

Partially update a user

View as Markdown

Updates an existing user resource, overwriting values for specified attributes. The value of the {id} should be the user’s corresponding user ID. Attributes that are not provided in the request will remain unchanged. Updating a value to ” ” will clear and remove the field from the user’s profile.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
User ID to update

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Request

This endpoint expects an object.
schemaslist of enumsRequired
Allowed values:
Operationslist of objectsRequired

Response

OK
schemaslist of enumsOptional
A list of schema URNs that are applicable to the user resource. This helps to identify the structure and format of the returned data.
Allowed values:
idstringOptional
The unique identifier for the user resource.
metaobjectOptional
userNamestringOptional
The username for the user. This is a unique identifier for the user in the system.
nameobjectOptional
displayNamestringOptional
The display name of the user, which may be used in UIs.
preferredLanguagestringOptional
The preferred language of the user for communication.
localestringOptional

The locale of the user, typically a language code combined with a region (e.g., ‘en-US’).

activebooleanOptional
Indicates whether the user account is active or not.
emailslist of objectsOptional
groupslist of objectsOptional
roleslist of objectsOptional
urn:zuora:scim:schemas:1.0:UserExtensionobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error